> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts/layouts_editor_global_elements.md).

# Using Global Elements

Xibo has a variety of tools available for Users to add to Layouts from the Toolbox when using the Layout Editor.

Global Elements give Users an easy way to add **Text**, **Dates and Times**, **Lines** and a variety of **Shapes** to Layouts to create eye-catching content from within the CMS.

## How-to Video Using Global Elements

{% embed url="<https://youtu.be/-HCFQGQFQbU>" %}

Global Elements give Users great flexibility, with precise positioning and customisable options its easy to create visually impactful designs. Use them on their own or add them to your designs to further enhance and complement other content.

## Adding Global Elements

Global Elements are added to Layouts from the **Layout Editor**:

* Click on the **A button** from the **Toolbox** to open.
* Drag and drop a selected item into position on the canvas.
* Or click to highlight and select an item and click on the canvas to add.
* Resize and position.
* Use the available configuration options to style each element from the Properties Panel.

{% hint style="success" %}
Edit Text directly on the canvas by double clicking the Text Element. Click again to highlight the "Text" and overwrite!&#x20;
{% endhint %}

Global Elements are compatible with all Widgets/Data Elements and Library Media added to the canvas and are a great to use to draw attention to other content on your Layouts.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts/layouts_editor_global_elements.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
